<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.BaseNegativeKazinMapper">

    <resultMap type="com.ssm.manage.entity.BaseNegativeKazin" id="BaseNegativeKazinMap">
        <result property="id" column="id" jdbcType="INTEGER"/>
        <result property="storeId" column="store_id" jdbcType="INTEGER"/>
        <result property="storeNum" column="store_num" jdbcType="VARCHAR"/>
        <result property="storeName" column="store_name" jdbcType="VARCHAR"/>
        <result property="date" column="date" jdbcType="TIMESTAMP"/>
        <result property="rechargeInitial" column="recharge_initial" jdbcType="NUMERIC"/>
        <result property="rechargeIncome" column="recharge_income" jdbcType="NUMERIC"/>
        <result property="rechargeRepayment" column="recharge_repayment" jdbcType="NUMERIC"/>
        <result property="rechargeService" column="recharge_service" jdbcType="NUMERIC"/>
        <result property="rechargeRefund" column="recharge_refund" jdbcType="NUMERIC"/>
        <result property="rechargeCourse" column="recharge_course" jdbcType="NUMERIC"/>
        <result property="rechargeBalance" column="recharge_balance" jdbcType="NUMERIC"/>
        <result property="courseInitial" column="course_initial" jdbcType="NUMERIC"/>
        <result property="courseIncome" column="course_income" jdbcType="NUMERIC"/>
        <result property="courseRepayment" column="course_repayment" jdbcType="NUMERIC"/>
        <result property="courseService" column="course_service" jdbcType="NUMERIC"/>
        <result property="courseRefund" column="course_refund" jdbcType="NUMERIC"/>
        <result property="courseBalance" column="course_balance" jdbcType="NUMERIC"/>
    </resultMap>
</mapper>

